aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorAndrea Ciceri <andrea.ciceri@autistici.org>2022-11-23 17:25:04 +0100
committerJohn Ericson <John.Ericson@Obsidian.Systems>2023-01-23 20:41:32 -0500
commitf58759816de03ac2d233576b8740410a68e9192f (patch)
tree1a62adb4e47569f3b3cd07a545f7e4323469ca46 /tests
parentf503ba1b8b5912083a6112e3cf082e3525ba258d (diff)
Tighten up the `exportReferencesGraph` tests
Add an `$` at the end of the `grep` regex. Without it, `checkRef foo` would always imply `checkRef foo.drv`. We want to tell these situations apart to more precisely test what is going on.
Diffstat (limited to 'tests')
-rw-r--r--tests/export-graph.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/export-graph.sh b/tests/export-graph.sh
index a1449b34e..4954a6cbc 100644
--- a/tests/export-graph.sh
+++ b/tests/export-graph.sh
@@ -4,7 +4,7 @@ clearStore
clearProfiles
checkRef() {
- nix-store -q --references $TEST_ROOT/result | grep -q "$1" || fail "missing reference $1"
+ nix-store -q --references $TEST_ROOT/result | grep -q "$1"'$' || fail "missing reference $1"
}
# Test the export of the runtime dependency graph.